curl --request POST \
--url https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"action": "sms_and_email",
"liveMode": true,
"userId": "6578278e879ad2646715ba9c",
"sentFrom": {
"fromName": "Alex",
"fromEmail": "alex@example.com"
},
"estimateName": "Estimate"
}
'{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"_id": "67ac9a51106ee8311e911XXXX",
"liveMode": true,
"deleted": false,
"name": "Estimate Name",
"currency": "USD",
"businessDetails": {
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
},
"items": [
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
],
"discount": {
"type": "percentage",
"value": 0
},
"total": 1222.03,
"createdAt": "2025-02-12T13:17:47.416Z",
"updatedAt": "2025-02-12T13:17:47.416Z",
"__v": 0,
"automaticTaxesEnabled": false,
"companyId": "COMP12345",
"contactDetails": {
"id": "jvzfKTNdE7OYXXXXXX",
"name": "Contact Name",
"phoneNo": "+911111111114",
"email": "email@test.com",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-06-15T00:00:00.000Z",
"expiryDate": "2023-07-15T00:00:00.000Z",
"automaticTaxesCalculated": true,
"meta": {
"key": "value"
},
"estimateActionHistory": [
{
"action": "Created",
"timestamp": "2023-06-15T10:00:00.000Z"
}
],
"sentTo": {
"email": [
"test@example.com"
],
"phoneNo": [
"+1 99444444444"
]
},
"frequencySettings": {
"enabled": false
},
"lastVisitedAt": "2023-06-20T08:30:00.000Z",
"totalamountInUSD": 1500.75,
"traceId": "010c7a01-857f-4619-970d-xyxyxyxy",
"title": "ESTIMATE",
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"updatedBy": "3HIpOF9NIc5ltriQXXXX",
"termsNotes": "<p>All services are subject to availability.</p>",
"sentBy": "user@example.com",
"autoInvoice": {
"enabled": true,
"directPayments": false
}
}API to send estimate by estimate id
curl --request POST \
--url https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"action": "sms_and_email",
"liveMode": true,
"userId": "6578278e879ad2646715ba9c",
"sentFrom": {
"fromName": "Alex",
"fromEmail": "alex@example.com"
},
"estimateName": "Estimate"
}
'{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"_id": "67ac9a51106ee8311e911XXXX",
"liveMode": true,
"deleted": false,
"name": "Estimate Name",
"currency": "USD",
"businessDetails": {
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
},
"items": [
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
],
"discount": {
"type": "percentage",
"value": 0
},
"total": 1222.03,
"createdAt": "2025-02-12T13:17:47.416Z",
"updatedAt": "2025-02-12T13:17:47.416Z",
"__v": 0,
"automaticTaxesEnabled": false,
"companyId": "COMP12345",
"contactDetails": {
"id": "jvzfKTNdE7OYXXXXXX",
"name": "Contact Name",
"phoneNo": "+911111111114",
"email": "email@test.com",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-06-15T00:00:00.000Z",
"expiryDate": "2023-07-15T00:00:00.000Z",
"automaticTaxesCalculated": true,
"meta": {
"key": "value"
},
"estimateActionHistory": [
{
"action": "Created",
"timestamp": "2023-06-15T10:00:00.000Z"
}
],
"sentTo": {
"email": [
"test@example.com"
],
"phoneNo": [
"+1 99444444444"
]
},
"frequencySettings": {
"enabled": false
},
"lastVisitedAt": "2023-06-20T08:30:00.000Z",
"totalamountInUSD": 1500.75,
"traceId": "010c7a01-857f-4619-970d-xyxyxyxy",
"title": "ESTIMATE",
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"updatedBy": "3HIpOF9NIc5ltriQXXXX",
"termsNotes": "<p>All services are subject to availability.</p>",
"sentBy": "user@example.com",
"autoInvoice": {
"enabled": true,
"directPayments": false
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Estimate Id
"5f9d6d8b1b2d2c001f2d9e4b"
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location sms_and_email, send_manually, email, sms livemode for estimate
true
Please ensure that the UserId corresponds to an authorized personnel, either by an employee ID or agency ID, to access this location. This account will serve as the primary channel for all future communications and updates.
"6578278e879ad2646715ba9c"
Show child attributes
estimate name
"Estimate"
Created
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Unique identifier
"67ac9a51106ee8311e911XXXX"
Indicates if it is in live mode
true
Indicates if deleted
false
Name
"Estimate Name"
Currency code
"USD"
{
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
}An array of items
[
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
]Show child attributes
{ "type": "percentage", "value": 0 }Total amount
1222.03
Timestamp when created
"2025-02-12T13:17:47.416Z"
Timestamp when last updated
"2025-02-12T13:17:47.416Z"
Version number
0
Indicates if automatic taxes are enabled for this estimate
false
Company identifier associated with the estimate
"COMP12345"
{
"id": "jvzfKTNdE7OYXXXXXX",
"name": "Contact Name",
"phoneNo": "+911111111114",
"email": "email@test.com",
"address": { "countryCode": "US" }
}Date when the estimate was issued
"2023-06-15T00:00:00.000Z"
Date when the estimate expires
"2023-07-15T00:00:00.000Z"
Indicates if automatic taxes were calculated
true
Additional metadata associated with the estimate
{ "key": "value" }History of actions taken on the estimate
[
{
"action": "Created",
"timestamp": "2023-06-15T10:00:00.000Z"
}
]{
"email": ["test@example.com"],
"phoneNo": ["+1 99444444444"]
}Show child attributes
{ "enabled": false }Timestamp when the estimate was last visited
"2023-06-20T08:30:00.000Z"
Total amount in USD
1500.75
Trace ID for logging and debugging
"010c7a01-857f-4619-970d-xyxyxyxy"
Title
"ESTIMATE"
Estimate number prefix
"EST-"
Attachments
Show child attributes
User Id of who last updated
"3HIpOF9NIc5ltriQXXXX"
Terms and conditions for the estimate, supports HTML markup
"<p>All services are subject to availability.</p>"
User who sent the estimate
"user@example.com"
{ "enabled": true, "directPayments": false }Was this page helpful?